[Pkg-kde-commits] rev 1706 - in people/chrsmrtn/qt-x11-free/debian: . patches

Christopher Martin chrsmrtn-guest at costa.debian.org
Tue Sep 6 13:53:28 UTC 2005


Author: chrsmrtn-guest
Date: 2005-09-06 13:53:27 +0000 (Tue, 06 Sep 2005)
New Revision: 1706

Added:
   people/chrsmrtn/qt-x11-free/debian/patches/07_gcc4_workarounds_fixes_postscript.dpatch
Removed:
   people/chrsmrtn/qt-x11-free/debian/patches/07_gcc4_workarounds.dpatch
Modified:
   people/chrsmrtn/qt-x11-free/debian/libqt3-mt.postrm
   people/chrsmrtn/qt-x11-free/debian/patches/00list
   people/chrsmrtn/qt-x11-free/debian/qt3-doc.links
   people/chrsmrtn/qt-x11-free/debian/rules
Log:
Grab improvements from trunk.


Modified: people/chrsmrtn/qt-x11-free/debian/libqt3-mt.postrm
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/libqt3-mt.postrm	2005-09-05 23:43:51 UTC (rev 1705)
+++ people/chrsmrtn/qt-x11-free/debian/libqt3-mt.postrm	2005-09-06 13:53:27 UTC (rev 1706)
@@ -1,8 +1,8 @@
 #!/bin/sh
 
 if [ "$1" = "purge" ]; then
-  if [ -d "/usr/share/doc/libqt3c102-mt/" ]; then
-    rm -rf /usr/share/doc/libqt3c102-mt/
+  if [ -d "/usr/share/doc/libqt3-mt/" ]; then
+    rm -rf /usr/share/doc/libqt3-mt/
   fi
 fi
 

Modified: people/chrsmrtn/qt-x11-free/debian/patches/00list
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/00list	2005-09-05 23:43:51 UTC (rev 1705)
+++ people/chrsmrtn/qt-x11-free/debian/patches/00list	2005-09-06 13:53:27 UTC (rev 1706)
@@ -3,7 +3,7 @@
 04_qsql_odbc
 05_qvfb_cpp
 06_disable_rpath
-07_gcc4_workarounds
+07_gcc4_workarounds_fixes_postscript
 08_thread_default
 09_amd64_lib64
 10_arm_gcc4

Deleted: people/chrsmrtn/qt-x11-free/debian/patches/07_gcc4_workarounds.dpatch

Added: people/chrsmrtn/qt-x11-free/debian/patches/07_gcc4_workarounds_fixes_postscript.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/07_gcc4_workarounds_fixes_postscript.dpatch	2005-09-05 23:43:51 UTC (rev 1705)
+++ people/chrsmrtn/qt-x11-free/debian/patches/07_gcc4_workarounds_fixes_postscript.dpatch	2005-09-06 13:53:27 UTC (rev 1706)
@@ -0,0 +1,97 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/tools/qlocale.cpp
++++ qt.orig/src/tools/qlocale.cpp
+@@ -72,6 +72,12 @@
+ #   define NAN DBL_QNAN
+ #endif
+ 
++#if (defined(Q_CC_GNU) && defined(Q_OS_WIN)) || __GNUC__ == 4 || defined(QT_QLOCALE_NEEDS_VOLATILE)
++#   define NEEDS_VOLATILE volatile
++#else
++#   define NEEDS_VOLATILE
++#endif
++
+ enum {
+     LittleEndian,
+     BigEndian
+@@ -4068,9 +4074,9 @@
+ #error Exactly one of IEEE_BIG_OR_LITTLE_ENDIAN, VAX, or IBM should be defined.
+ #endif
+ 
+-inline ULong getWord0(double x)
++inline ULong getWord0(const NEEDS_VOLATILE double x)
+ {
+-    uchar *ptr = (uchar *)&x;
++    const NEEDS_VOLATILE uchar *ptr = reinterpret_cast<const NEEDS_VOLATILE uchar *>(&x);
+     if (ByteOrder == BigEndian) {
+         return (ptr[0]<<24) + (ptr[1]<<16) + (ptr[2]<<8) + ptr[3];
+     } else {
+@@ -4078,9 +4084,9 @@
+     }
+ }
+ 
+-inline void setWord0(double *x, ULong l)
++inline void setWord0(NEEDS_VOLATILE double *x, ULong l)
+ {
+-    uchar *ptr = (uchar *)x;
++    NEEDS_VOLATILE uchar *ptr = reinterpret_cast<NEEDS_VOLATILE uchar *>(x);
+     if (ByteOrder == BigEndian) {
+         ptr[0] = (uchar)(l>>24);
+         ptr[1] = (uchar)(l>>16);
+@@ -4094,18 +4100,18 @@
+     }
+ }
+ 
+-inline ULong getWord1(double x)
++inline ULong getWord1(const NEEDS_VOLATILE double x)
+ {
+-    uchar *ptr = (uchar *)&x;
++    const NEEDS_VOLATILE uchar *ptr = reinterpret_cast<const NEEDS_VOLATILE uchar *>(&x);
+     if (ByteOrder == BigEndian) {
+         return (ptr[4]<<24) + (ptr[5]<<16) + (ptr[6]<<8) + ptr[7];
+     } else {
+         return (ptr[3]<<24) + (ptr[2]<<16) + (ptr[1]<<8) + ptr[0];
+     }
+ }
+-inline void setWord1(double *x, ULong l)
++inline void setWord1(NEEDS_VOLATILE double *x, ULong l)
+ {
+-    uchar *ptr = (uchar *)x;
++    NEEDS_VOLATILE uchar *ptr = reinterpret_cast<uchar NEEDS_VOLATILE *>(x);
+     if (ByteOrder == BigEndian) {
+         ptr[4] = (uchar)(l>>24);
+         ptr[5] = (uchar)(l>>16);
+@@ -5679,11 +5685,11 @@
+ #ifdef Q_OS_LINUX
+     fesetenv(&envp);
+ #endif
+-    
++
+     return s;
+ }
+ 
+-static char *_qdtoa( double d, int mode, int ndigits, int *decpt, int *sign, char **rve, char **resultp)
++static char *_qdtoa( NEEDS_VOLATILE double d, int mode, int ndigits, int *decpt, int *sign, char **rve, char **resultp)
+ {
+     /*
+       Arguments ndigits, decpt, sign are similar to those

Modified: people/chrsmrtn/qt-x11-free/debian/qt3-doc.links
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/qt3-doc.links	2005-09-05 23:43:51 UTC (rev 1705)
+++ people/chrsmrtn/qt-x11-free/debian/qt3-doc.links	2005-09-06 13:53:27 UTC (rev 1706)
@@ -1 +1,2 @@
 /usr/share/man/man3 /usr/share/qt3/doc/man/man3
+/usr/share/qt3/doc/html /usr/share/doc/qt3-doc/html

Modified: people/chrsmrtn/qt-x11-free/debian/rules
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/rules	2005-09-05 23:43:51 UTC (rev 1705)
+++ people/chrsmrtn/qt-x11-free/debian/rules	2005-09-06 13:53:27 UTC (rev 1706)
@@ -64,13 +64,14 @@
 		-system-libmng			\
 		-system-libjpeg			\
 		-system-nas-sound		\
+						\
 		-enable-opengl			\
 		-dlopen-opengl			\
 						\
 		-qt-gif				\
 		-qt-imgfmt-png			\
+		-qt-imgfmt-jpeg			\
 		-plugin-imgfmt-mng		\
-		-qt-imgfmt-jpeg			\
 						\
 		-plugin-sql-odbc		\
 		-plugin-sql-psql		\
@@ -128,6 +129,7 @@
 	cp bin/qtrename140 $(TMP_INSTALL)/usr/bin/
 	cp bin/qt20fix $(TMP_INSTALL)/usr/bin/
 	cp bin/findtr $(TMP_INSTALL)/usr/bin/
+
 	# build conv2ui
 	cd tools/designer/tools/conv2ui && make
 	cp bin/conv2ui $(TMP_INSTALL)/usr/bin/conv2ui
@@ -230,6 +232,11 @@
 	# remove docs from qt3-doc for qt-assistant
 	rm -rf `pwd`/debian/qt3-doc/usr/share/qt3/doc/html/assistant*
 
+	## all packages
+	# install the overrides files
+	for a in debian/overrides/*; do install -d debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides; done
+	for a in debian/overrides/*; do cp "$$a" debian/`echo "$$a" | sed 's/debian\/overrides\///g'`/usr/share/lintian/overrides/`echo "$$a" | sed 's/debian\/overrides\///g'`; done
+
 	chmod 644 debian/qt3-dev-tools/usr/share/qt3/mkspecs/aix-g++-64/qplatformdefs.h
 	chmod 644 debian/qt3-dev-tools/usr/share/qt3/mkspecs/macx-pbuilder/Info.plist.app
 
@@ -279,8 +286,6 @@
 	chmod 755 `pwd`/debian/doc/qt3-examples/build-examples
 	cd `pwd`/debian/doc/ && tar cvvfz qt3-examples.tar.gz qt3-examples/
 	install -D `pwd`/debian/doc/qt3-examples.tar.gz `pwd`/debian/qt3-examples/usr/share/doc/qt3-examples/qt3-examples.tar.gz
-	
-	dh_link -pqt3-doc usr/share/qt3/doc/html usr/share/doc/qt3-doc/html
 
 	# proceed
 	dh_compress -i -Xhtml/
@@ -391,8 +396,8 @@
 	install -D doc/man/man1/uic.1 `pwd`/debian/qt3-dev-tools/usr/share/man/man1/uic-qt3.1
 	install -D doc/man/man1/lrelease.1 `pwd`/debian/qt3-dev-tools/usr/share/man/man1/lrelease-qt3.1
 	install -D doc/man/man1/lupdate.1 `pwd`/debian/qt3-dev-tools/usr/share/man/man1/lupdate-qt3.1
-	install -D debian/maintain/man/qtconfig.1 `pwd`/debian/qt3-designer/usr/share/man/man1/qtconfig-qt3.1
-	install -D debian/maintain/man/linguist.1 `pwd`/debian/qt3-designer/usr/share/man/man1/linguist-qt3.1
+	install -D debian/maintain/man/qtconfig.1 `pwd`/debian/qt3-qtconfig/usr/share/man/man1/qtconfig-qt3.1
+	install -D debian/maintain/man/linguist.1 `pwd`/debian/qt3-linguist/usr/share/man/man1/linguist-qt3.1
 
 	dh_link -pqt3-designer usr/share/qt3/doc/html usr/share/doc/qt3-designer/html
 	dh_link -pqt3-assistant usr/share/qt3/doc/html usr/share/doc/qt3-assistant/html




More information about the pkg-kde-commits mailing list